<template lang="pug">
.menu-wrap( :class='{ "active": active, "responsive": responsive, "is-flex is-flex-direction-column is-align-items-center is-justify-content-flex-start": isPhone || isTablet }' )
	socials( v-if='common' )
	.menu.is-flex.is-align-items-center.is-justify-content-center( :class='{ "responsive": responsive, "is-flex-direction-column": isPhone || isTablet }' )
		menu-item( v-for='({ text, href, to }, i) in menu' :key='i' :to='to' :href='href' :responsive='responsive' ) {{ text }}
	nav-buttons( v-if='common' )
</template>

<script>
export default {
	components: {
		MenuItem: () => import("./MenuItem.vue"),
		NavButtons: () => import("@/components/NavButtons.vue"),
		Socials: () => import("@/components/Socials.vue")
	},
	props: {
		responsive: Boolean,
		active: Boolean
	},
	computed: {
		logged() {
			return !!Object.keys(this.$store.getters["UserModule/user"]).length
		},
		menu() {
			const items = [ "Homepage", "Homepage|#buy", "//ibt.dev" ]

			if (this.logged) items.push("Profile")

			return items.map((to, i) => {
				if (to.includes("//"))
					return { href: to, text: this.$t(`default.nav.${i}`) }

				return { to: { name: to.split("|")[0], hash: to.split("|")?.[1] }, text: this.$t(`default.nav.${i}`) }
			})
		},
		common() {
			return this.responsive && (this.isTablet || this.isPhone)
		}
	}
}
</script>

<style lang="scss" scoped>
$gap: 1.375rem;
$gap-mobile: .4375rem;

.menu {
	margin: -#{$gap};
	&-item {
		margin: $gap;
	}
	&-wrap {
		@include max_tablet {
			&.responsive {
				width: 100%;
				min-width: $body-min-width;
				height: 100vh;
				margin: 0;
				padding: 1rem 1.25rem;
				background: $black;
				position: fixed;
				top: 0;
				right: 100%;
				z-index: 4;
				transition: right .3s ease-in-out;
				&.active {
					right: 0;
				}

				.socials {
					margin-left: auto;
				}

				.menu {
					width: calc(100% + 2.5rem);
					margin: 1.625rem -1.25rem 1.375rem;
					border-top: 1px solid #141315;
					border-bottom: 1px solid #141315;
					&-item {
						margin: 0;
					}
				}
			}
			&:not(.responsive) {
				.menu {
					margin: -#{$gap-mobile};
					&-item {
						margin: $gap-mobile;
					}
				}
			}
		}
	}
}
</style>